Summary: creates PKZIP(tm)-compatible .zip files
Name: zip
Version: 2.2
Release: 2i
Copyright: distributable
Group: Applications/File
Source0: ftp.cdrom.com:/pub/infozip/src/zip22.tar.gz
Source1: ftp://ftp.icce.rug.nl/infozip/src/zcrypt28.zip
Patch: zip22.patch
Prefix: /usr
BuildRoot: /var/tmp/zip-root
Summary(de): erstellt mit PKZIP(tm) kompatible .zip-Dateien
Summary(fr): Cre des fichiers .zip compatibles avec PKZIP(tm).
Summary(tr): PKZIP(tm)-uyumlu .zip dosyalar yaratr

%description
zip is a compression and file packaging utility for Unix, VMS, MSDOS,
OS/2, Windows NT, Minix, Atari and Macintosh.  It is analogous to a
combination of the UNIX commands tar(1) and compress(1) and is
compatible with PKZIP (Phil Katz's ZIP for MSDOS systems).

%description -l de
zip ist ein Komprimierungs- und Dateiarchivierungsprogramm fr Unix,
VMS, MSDOS, OS/2, Windows NT, Minix, Atari und Macintosh. Es 
entspricht einer Kombination der UNIX-Befehle tar(1) und compress(1)
und ist mit PKZIP kompatibel (ZIP fr MSDOS von Phil Katz).

%description -l fr
zip est un utilitaire de compression et d'archivage de fichiers pour UNIX,
MSDOS, OS/2, Windows NT, Minix, Atari et Macintosh. Il est analogue  une
combinaison des commandes UNIX tar(1) et compress(1) et est compatible
avec PKZIP (le \"Phil Katz's ZIP\" pour  MSDOS).

%description -l tr
zip eitli iletim sistemleri iin gelitirilmi bir sktrma yazlmdr.
almas asndan tar(1) ve compress(1) komutlarnn bir birleimi gibidir
ve PKZIP uyumludur.

%prep
%setup
unzip -o $RPM_SOURCE_DIR/zcrypt28.zip
%patch -p0

%build
make -f unix/Makefile prefix=/usr "RPM_OPT_FLAGS=$RPM_OPT_FLAGS" generic_gcc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}

make -f unix/Makefile prefix=$RPM_BUILD_ROOT/usr install

( cd $RPM_BUILD_ROOT
  for n in zipnote zipsplit zip zipcloak
  do
    strip ./usr/bin/$n
  done
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README BUGS CHANGES WHERE MANUAL INSTALL TODO WHATSNEW README.CR proginfo/infozip.who proginfo/algorith.txt
/usr/bin/zipnote
/usr/bin/zipsplit
/usr/bin/zip
/usr/bin/zipcloak
/usr/man/man1/zip.1

%changelog
* Wed Jun 02 1999 Peter Soos <sp@osb.hu>
- corrected the algorith.txt entry in %doc macro.
- recompiled under RedHat Linux 6.0
- applied RedHat Linux 6.0 Package Groups

* Tue Feb 16 1999 Ramon Garcia <ramon@juguete.quim.ucm.es>
- updated to 2.2 and added encryption support

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
